mp3splt-gtk: src/audacious_control.c File Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
audacious_control.c File Reference
`#include "audacious_control.h"`
`#include <audacious/audctrl.h>`
`#include <audacious/dbus.h>`
`#include <dbus/dbus-glib.h>`
Include dependency graph for audacious_control.c:

Go to the source code of this file.

## Functions
void | myaudacious_add_files (GList *list, ui_state *ui)
gchar * | myaudacious_get_filename (ui_state *ui)
gint | myaudacious_get_playlist_number (ui_state *ui)
void | myaudacious_get_song_infos (gchar *total_infos, ui_state *ui)
gint | myaudacious_get_time_elapsed (ui_state *ui)
gchar * | myaudacious_get_title_song (ui_state *ui)
gint | myaudacious_get_total_time (ui_state *ui)
gint | myaudacious_get_volume (ui_state *ui)
gint | myaudacious_is_paused (ui_state *ui)
gint | myaudacious_is_playing (ui_state *ui)
gint | myaudacious_is_running (ui_state *ui)
void | myaudacious_jump (gint position, ui_state *ui)
void | myaudacious_next (ui_state *ui)
void | myaudacious_pause (ui_state *ui)
void | myaudacious_play (ui_state *ui)
void | myaudacious_play_last_file (ui_state *ui)
void | myaudacious_prev (ui_state *ui)
void | myaudacious_select_last_file (ui_state *ui)
void | myaudacious_set_volume (gint volume, ui_state *ui)
void | myaudacious_start (ui_state *ui)
void | myaudacious_start_with_songs (GList *list, ui_state *ui)
void | myaudacious_stop (ui_state *ui)

## Detailed Description

audacious control

this file contains the functions that control the audacious player

Definition in file audacious_control.c.

## Function Documentation

## ◆ myaudacious_add_files()

void myaudacious_add_files | ( | GList * | list,
|  | ui_state * | ui )

add files to the audacious playlist

Definition at line 159 of file audacious_control.c.

Referenced by myaudacious_start_with_songs(), player_add_files(), and player_add_files_and_select().

Here is the caller graph for this function:

## ◆ myaudacious_get_filename()

gchar * myaudacious_get_filename | ( | ui_state * | ui | ) |

returns the filename

The filename is allocated by this function and must be g_free'ed after use.

Definition at line 89 of file audacious_control.c.

Referenced by player_get_filename().

Here is the caller graph for this function:

## ◆ myaudacious_get_playlist_number()

gint myaudacious_get_playlist_number | ( | ui_state * | ui | ) |

returns the number of songs in the playlist

Definition at line 106 of file audacious_control.c.

Referenced by player_get_playlist_number().

Here is the caller graph for this function:

## ◆ myaudacious_get_song_infos()

void myaudacious_get_song_infos | ( | gchar * | total_infos,
|  | ui_state * | ui )

Acquires informations about the song.

Definition at line 52 of file audacious_control.c.

Referenced by player_get_song_infos().

Here is the caller graph for this function:

## ◆ myaudacious_get_time_elapsed()

gint myaudacious_get_time_elapsed | ( | ui_state * | ui | ) |

returns elapsed time

Definition at line 122 of file audacious_control.c.

Referenced by player_get_elapsed_time().

Here is the caller graph for this function:

## ◆ myaudacious_get_title_song()

gchar * myaudacious_get_title_song | ( | ui_state * | ui | ) |

returns the title of the song

The filename is allocated by this function and must be g_free'ed after use.

Definition at line 115 of file audacious_control.c.

Referenced by player_get_title().

Here is the caller graph for this function:

## ◆ myaudacious_get_total_time()

gint myaudacious_get_total_time | ( | ui_state * | ui | ) |

returns the total duration of the current song

Definition at line 267 of file audacious_control.c.

Referenced by player_get_total_time().

Here is the caller graph for this function:

## ◆ myaudacious_get_volume()

gint myaudacious_get_volume | ( | ui_state * | ui | ) |

returns volume level

Definition at line 180 of file audacious_control.c.

Referenced by player_get_volume().

Here is the caller graph for this function:

## ◆ myaudacious_is_paused()

gint myaudacious_is_paused | ( | ui_state * | ui | ) |

returns TRUE if audacious is paused, if not, FALSE

Definition at line 220 of file audacious_control.c.

Referenced by player_is_paused().

Here is the caller graph for this function:

## ◆ myaudacious_is_playing()

gint myaudacious_is_playing | ( | ui_state * | ui | ) |

returns TRUE if audacious is playing, else FALSE

Definition at line 274 of file audacious_control.c.

Referenced by player_is_playing().

Here is the caller graph for this function:

## ◆ myaudacious_is_running()

gint myaudacious_is_running | ( | ui_state * | ui | ) |

returns TRUE if audacious is running; if not, FALSE

Definition at line 196 of file audacious_control.c.

Referenced by player_is_running().

Here is the caller graph for this function:

## ◆ myaudacious_jump()

void myaudacious_jump | ( | gint | position,
|  | ui_state * | ui )

jump to time

Definition at line 261 of file audacious_control.c.

Referenced by player_seek().

Here is the caller graph for this function:

## ◆ myaudacious_next()

void myaudacious_next | ( | ui_state * | ui | ) |

Switch to the next song.

Definition at line 249 of file audacious_control.c.

Referenced by player_next().

Here is the caller graph for this function:

## ◆ myaudacious_pause()

void myaudacious_pause | ( | ui_state * | ui | ) |

Pause playing the current song.

Definition at line 243 of file audacious_control.c.

Referenced by player_pause().

Here is the caller graph for this function:

## ◆ myaudacious_play()

void myaudacious_play | ( | ui_state * | ui | ) |

Start playing the current song.

Definition at line 231 of file audacious_control.c.

Referenced by player_play().

Here is the caller graph for this function:

## ◆ myaudacious_play_last_file()

void myaudacious_play_last_file | ( | ui_state * | ui | ) |

plays the last file of the playlist

Definition at line 152 of file audacious_control.c.

References myaudacious_select_last_file().

Referenced by player_add_play_files(), and player_start_play_with_songs().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ myaudacious_prev()

void myaudacious_prev | ( | ui_state * | ui | ) |

Switch to the previous song.

Definition at line 255 of file audacious_control.c.

Referenced by player_prev().

Here is the caller graph for this function:

## ◆ myaudacious_select_last_file()

void myaudacious_select_last_file | ( | ui_state * | ui | ) |

selects the last file in the playlist

Definition at line 145 of file audacious_control.c.

Referenced by myaudacious_play_last_file(), and player_add_files_and_select().

Here is the caller graph for this function:

## ◆ myaudacious_set_volume()

void myaudacious_set_volume | ( | gint | volume,
|  | ui_state * | ui )

sets the volume level

Definition at line 174 of file audacious_control.c.

Referenced by player_set_volume().

Here is the caller graph for this function:

## ◆ myaudacious_start()

void myaudacious_start | ( | ui_state * | ui | ) |

starts audacious

Definition at line 128 of file audacious_control.c.

Referenced by myaudacious_start_with_songs(), and player_start().

Here is the caller graph for this function:

## ◆ myaudacious_start_with_songs()

void myaudacious_start_with_songs | ( | GList * | list,
|  | ui_state * | ui )

starts audacious with songs

Parameters

  list | The list of the songs to start audacious with

Definition at line 189 of file audacious_control.c.

References myaudacious_add_files(), and myaudacious_start().

Referenced by player_start_add_files(), and player_start_play_with_songs().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ myaudacious_stop()

void myaudacious_stop | ( | ui_state * | ui | ) |

Stop playing the current song.

Definition at line 237 of file audacious_control.c.

Referenced by player_stop().

Here is the caller graph for this function: